com.independentsoft.exchange

## Class AttachmentShape

- java.lang.Object
- - com.independentsoft.exchange.AttachmentShape

-     public class AttachmentShape
      extends java.lang.Object

  Identifies additional properties to return in a response to a GetAttachment request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttachmentShape()` Initializes a new instance of the AttachmentShape class.
    `AttachmentShape(BodyType bodyType)` Initializes a new instance of the AttachmentShape class.
    `AttachmentShape(boolean includeMimeContent)` Initializes a new instance of the AttachmentShape class.
    `AttachmentShape(boolean includeMimeContent, BodyType bodyType)` Initializes a new instance of the AttachmentShape class.
    `AttachmentShape(java.util.List<PropertyPath> propertyPaths)` Initializes a new instance of the AttachmentShape class.
    `AttachmentShape(java.util.List<PropertyPath> propertyPaths, BodyType bodyType)` Initializes a new instance of the AttachmentShape class.
    `AttachmentShape(java.util.List<PropertyPath> propertyPaths, boolean includeMimeContent)` Initializes a new instance of the AttachmentShape class.
    `AttachmentShape(java.util.List<PropertyPath> propertyPaths, boolean includeMimeContent, BodyType bodyType)` Initializes a new instance of the AttachmentShape class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BodyType` | `getBodyType()` Gets how the body text is formatted in the response.
    `boolean` | `getIncludeMimeContent()` Gets whether the Multipurpose Internet Mail Extensions (MIME) content of an item or attachment is returned in the response.
    `java.util.List<PropertyPath>` | `getPropertyPaths()` Gets the property paths.
    `boolean` | `isFilterHtmlContent()` Checks if is filter html content.
    `void` | `setBodyType(BodyType bodyType)` Sets how the body text is formatted in the response.
    `void` | `setFilterHtmlContent(boolean filterHtmlContent)` Sets the filter html content.
    `void` | `setIncludeMimeContent(boolean includeMimeContent)` Sets whether the Multipurpose Internet Mail Extensions (MIME) content of an item or attachment is returned in the response.
    `java.lang.String` | `toString()` Converts the value of the current AttachmentShape object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttachmentShape

          public AttachmentShape()

      Initializes a new instance of the AttachmentShape class.

    - #### AttachmentShape

          public AttachmentShape(boolean includeMimeContent)

      Initializes a new instance of the AttachmentShape class.
      Parameters:
        `includeMimeContent` - the include mime content

    - #### AttachmentShape

          public AttachmentShape(BodyType bodyType)

      Initializes a new instance of the AttachmentShape class.
      Parameters:
        `bodyType` - the body type

    - #### AttachmentShape

          public AttachmentShape(boolean includeMimeContent,
                                 BodyType bodyType)

      Initializes a new instance of the AttachmentShape class.
      Parameters:
        `includeMimeContent` - the include mime content
        `bodyType` - the body type

    - #### AttachmentShape

          public AttachmentShape(java.util.List<PropertyPath> propertyPaths)

      Initializes a new instance of the AttachmentShape class.
      Parameters:
        `propertyPaths` - the property paths

    - #### AttachmentShape

          public AttachmentShape(java.util.List<PropertyPath> propertyPaths,
                                 boolean includeMimeContent)

      Initializes a new instance of the AttachmentShape class.
      Parameters:
        `propertyPaths` - the property paths
        `includeMimeContent` - the include mime content

    - #### AttachmentShape

          public AttachmentShape(java.util.List<PropertyPath> propertyPaths,
                                 BodyType bodyType)

      Initializes a new instance of the AttachmentShape class.
      Parameters:
        `propertyPaths` - the property paths
        `bodyType` - the body type

    - #### AttachmentShape

          public AttachmentShape(java.util.List<PropertyPath> propertyPaths,
                                 boolean includeMimeContent,
                                 BodyType bodyType)

      Initializes a new instance of the AttachmentShape class.
      Parameters:
        `propertyPaths` - the property paths
        `includeMimeContent` - the include mime content
        `bodyType` - the body type

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current AttachmentShape object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getPropertyPaths

          public java.util.List<PropertyPath> getPropertyPaths()

      Gets the property paths.
      Returns:
        the property paths

    - #### getIncludeMimeContent

          public boolean getIncludeMimeContent()

      Gets whether the Multipurpose Internet Mail Extensions (MIME) content of an item or attachment is returned in the response.
      Returns:
        the include mime content

    - #### setIncludeMimeContent

          public void setIncludeMimeContent(boolean includeMimeContent)

      Sets whether the Multipurpose Internet Mail Extensions (MIME) content of an item or attachment is returned in the response.
      Parameters:
        `includeMimeContent` - the new include mime content

    - #### getBodyType

          public BodyType getBodyType()

      Gets how the body text is formatted in the response.
      Returns:
        the body type

    - #### setBodyType

          public void setBodyType(BodyType bodyType)

      Sets how the body text is formatted in the response.
      Parameters:
        `bodyType` - the new body type

    - #### isFilterHtmlContent

          public boolean isFilterHtmlContent()

      Checks if is filter html content.
      Returns:
        true, if is filter html content

    - #### setFilterHtmlContent

          public void setFilterHtmlContent(boolean filterHtmlContent)

      Sets the filter html content.
      Parameters:
        `filterHtmlContent` - the new filter html content